#-----------------------------------------------------------------------------
%{?!dist:	%define	dist	.ok}
#-----------------------------------------------------------------------------
Name		:	eom
Version		:	1.27.0
Release		:	14.4.0.0%{?dist}
Summary		:	An image viewing and cataloging program
Group		:	System Environment/Libraries

Packager	:	Osukiss Project	<build-ok@osukiss.org>

License		:	GPL
URL		:	http://pub.mate-desktop.org/releases/

Source0		:	%{name}-%{version}.tar.xz

#-----------------------------------------------------------------------------
BuildRequires	:	dbus-glib-devel
BuildRequires	:	gdk-pixbuf
BuildRequires	:	gettext
BuildRequires	:	glib-devel
BuildRequires	:	gtk3+
BuildRequires	:	gobject-introspection
BuildRequires	:	itstool
BuildRequires	:	lcms2
BuildRequires	:	libexif
BuildRequires	:	libpeas
BuildRequires	:	libjpeg-turbo
BuildRequires	:	mate-desktop
BuildRequires	:	shared-mime-info

Requires(post)	:	%{_bindir}/gtk-update-icon-cache
Requires(post)	:	%{_bindir}/update-desktop-database
Requires(post)	:	%{_bindir}/glib-compile-schemas
#-----------------------------------------------------------------------------
%description
'%{name}' is meant to be a fast and functional image viewer. 
'%{name}' is a fork of Eye of GNOME.

#-----------------------------------------------------------------------------
%files		-f %{name}.lang
%defattr(-,root,root,-)
%doc AUTHORS COPYING NEWS README
%{_bindir}/%{name}
%{_includedir}/%{name}-2.20/%{name}/%{name}*.h
%{_libdir}/%{name}/plugins/*.{la,plugin,so}
%{_libdir}/girepository-1.0/*.typelib
%{_libdir}/pkgconfig/%{name}*.pc
%{_datadir}/applications/%{name}.desktop
%{_datadir}/%{name}/%{name}-toolbar.xml
%{_datadir}/%{name}/icons/hicolor/*/actions/*.png
#{_datadir}/%{name}/icons/hicolor/scalable/actions/*.svg
%{_datadir}/gir-1.0/*.gir
%{_datadir}/glib-2.0/schemas/org.mate.%{name}.enums.xml
%{_datadir}/glib-2.0/schemas/org.mate.%{name}.gschema.xml
%{_datadir}/gtk-doc/html/%{name}/*.{css,html,png,sgml}
%{_datadir}/gtk-doc/html/%{name}/*.devhelp2
%{_datadir}/help/*/%{name}/*
%{_datadir}/icons/hicolor/*/apps/%{name}.png
%{_datadir}/icons/hicolor/scalable/apps/%{name}.svg
%{_datadir}/thumbnailers/eom-thumbnailer.thumbnailer
%{_mandir}/man1/%{name}*.1.gz
%{_datadir}/metainfo/%{name}.appdata.xml

%post
/usr/sbin/ldconfig
%{_bindir}/gtk-update-icon-cache -t %{_datadir}/icons/hicolor  2> /dev/null
%{_bindir}/update-desktop-database 2> /dev/null
%{_bindir}/glib-compile-schemas %{_datadir}/glib-2.0/schemas/ 2> /dev/null

%postun
if [ "$1" = 0 ]; then
  mkdir -p %{_datadir}/icons/hicolor &> /dev/null
  %{_bindir}/gtk-update-icon-cache -t %{_datadir}/icons/hicolor 2> /dev/null
  %{_bindir}/glib-compile-schemas %{_datadir}/glib-2.0/schemas/ 2> /dev/null
  fi
/usr/sbin/ldconfig

#=============================================================================
%prep
%setup -q

#-----------------------------------------------------------------------------
#building application
%build

#problem with ja help translation
%{__rm} -fr						\
	help/ja

./configure						\
        --prefix=%{_prefix}				\
        --includedir=%{_includedir}			\
	--exec-prefix=%{_exec_prefix}			\
        --sysconfdir=%{_sysconfdir}			\
        --sbindir=%{_sbindir}				\
	--mandir=%{_mandir}				\
	--libdir=%{_libdir}				\
	--infodir=%{_infodir}				\
	--docdir=%{_defaultdocdir}/%{name}-%{version}	\
	--disable-static				\
	--disable-schemas-compile			\
	--enable-introspection=yes			\
	--enable-thumbnailer				\

%define _smp_mflags -j%(/usr/bin/getconf _NPROCESSORS_ONLN)
%{__make} %{_smp_mflags}

#-----------------------------------------------------------------------------
%clean
%{__rm} -rf %{buildroot}

#-----------------------------------------------------------------------------
#installing program
%install
%{__rm} -rf %{buildroot}

%{__make}						\
	DESTDIR=%{buildroot}				\
	install
	
%find_lang %{name}
#-----------------------------------------------------------------------------
%changelog
